package com.adealink.weparty.account.login.auth

import android.app.Activity
import android.content.Intent
import java.lang.ref.WeakReference

interface IAuth {
    val activityRef: WeakReference<Activity>?
    val authCallback: IAuthCallback?
    var secret: String?

    fun auth()
    fun onActivityResult(requestCode: Int, resultCode: Int, intent: Intent?)
    fun logout()
    fun onNewIntent(intent: Intent?){}
}